Skip to main content
GET
/
taggings
List taggings
curl --request GET \
  --url https://int-data.moneydesktop.com/taggings \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "taggings": [
    {
      "guid": "TGN-007f5486-17e1-45fc-8b87-8f03984430fe",
      "member_is_managed_by_user": false,
      "tag_guid": "TAG-40faf068-abb4-405c-8f6a-e883ed541fff",
      "transaction_guid": "TRN-810828b0-5210-4878-9bd3-f4ce514f90c4",
      "user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_entries": 1,
    "total_pages": 1
  }
}
Use this endpoint to list all taggings.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Response

200 - application/vnd.mx.api.v1+json

OK

taggings
object[]
pagination
object